-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}

local helper = require('scenario/scenariohelper')

local function onBeamNGTrigger(data)

  if data.event == 'enter' and data.triggerName == 'FireTrigger' then

  local cannon1 = scenetree.findObject('cannon1')
  local cannon2 = scenetree.findObject('cannon2')
  local cannon3 = scenetree.findObject('cannon3')
  local cannon4 = scenetree.findObject('cannon4')
  local cannon5 = scenetree.findObject('cannon5')
  local cannon6 = scenetree.findObject('cannon6')
  local cannon7 = scenetree.findObject('cannon7')
  local watercannon1 = scenetree.findObject('watercannon1')
  local watercannon2 = scenetree.findObject('watercannon2')
  local watercannon3 = scenetree.findObject('watercannon3')
  local watercannon4 = scenetree.findObject('watercannon4')

  cannon1.active = true
  cannon2.active = true
  cannon3.active = true
  cannon4.active = true
  cannon5.active = true
  cannon6.active = true
  cannon7.active = true
  watercannon1.active = false
  watercannon2.active = false
  watercannon3.active = false
  watercannon4.active = false

  end
end

local function onScenarioRestarted()

  local cannon1 = scenetree.findObject('cannon1')
  local cannon2 = scenetree.findObject('cannon2')
  local cannon3 = scenetree.findObject('cannon3')
  local cannon4 = scenetree.findObject('cannon4')
  local cannon5 = scenetree.findObject('cannon5')
  local cannon6 = scenetree.findObject('cannon6')
  local cannon7 = scenetree.findObject('cannon7')
  local watercannon1 = scenetree.findObject('watercannon1')
  local watercannon2 = scenetree.findObject('watercannon2')
  local watercannon3 = scenetree.findObject('watercannon3')
  local watercannon4 = scenetree.findObject('watercannon4')

  cannon1.active = false
  cannon2.active = false
  cannon3.active = false
  cannon4.active = false
  cannon5.active = false
  cannon6.active = false
  cannon7.active = false
  watercannon1.active = true
  watercannon2.active = true
  watercannon3.active = true
  watercannon4.active = true

end

M.onBeamNGTrigger = onBeamNGTrigger
M.onScenarioRestarted = onScenarioRestarted

return M